Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.adventure.actions.custom
Class SetToCloseUp

    java.lang.Object
      de.rico.adventure.actions.AbstractAction
          de.rico.adventure.actions.custom.SetToCloseUp

    public class SetToCloseUp

extends AbstractAction

This is a game action that can be used to set the game to the close up mode. Close ups are camera perspective that focuses heavily on a certain area. This action disables drawing of the player and disables the hotspot that was used to enter the close up mode. Both things must be undone as soon as the close up mode is being left.

Author:
  Frank Bruns

Constructor Summary
`SetToCloseUp(int closeUpPerspectiveId, AbstractInteractiveHotspot hs)` Creates a new game action that sets game to CLOSE_UP mode.

Method Summary
`void` | `draw(javax.media.opengl.GL gl)` This method renders the game action, if needed.
`void` | `finishUp()` Implementations of this method hold code that needs to be called before the game action can be removed from the queue (prematurely) without causing side effects.
`void` | `update(long elapsedTime)` This method updates the game action

Methods inherited from class de.rico.adventure.actions.AbstractAction
`getEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetToCloseUp

    public SetToCloseUp(int closeUpPerspectiveId,
                        AbstractInteractiveHotspot hs)

  Creates a new game action that sets game to CLOSE_UP mode.

  Parameters:
    `closeUpPerspectiveId` - id of the close up camera perspective
    `hs` - hotspot that triggered the close up mode

Method Detail

### update

    public void update(long elapsedTime)

  Description copied from class: `AbstractAction`
  This method updates the game action

  Specified by:
    `update` in class `AbstractAction`
  Parameters:
    `elapsedTime` - time between two frames

### draw

    public void draw(javax.media.opengl.GL gl)

  Description copied from class: `AbstractAction`
  This method renders the game action, if needed.

  Specified by:
    `draw` in class `AbstractAction`

### finishUp

    public void finishUp()

  Description copied from class: `AbstractAction`
  Implementations of this method hold code that needs to be called before the game action can be removed from the queue (prematurely) without causing side effects.

  Specified by:
    `finishUp` in class `AbstractAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD